View Issue Details

IDProjectCategoryView StatusLast Update
0004038SymmetricDS ProBugpublic2019-08-23 12:47
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.3 
Target Version3.10.4Fixed in Version3.10.4 
Summary0004038: Snapshot fails when batch in error
DescriptionIn 3.10.3, the snapshot util fails when there is a batch in error, because it tries to extract data for the batch but gets a null pointer exception:

Caused by: java.lang.NullPointerException
        at org.jumpmind.symmetric.util.SnapshotUtil.outputSymDataForBatchesInError(SnapshotUtil.java:819)
        at org.jumpmind.symmetric.util.SnapshotUtil.createSnapshot(SnapshotUtil.java:261)
        at org.jumpmind.symmetric.ClientSymmetricEngine.snapshot(ClientSymmetricEngine.java:563)
        at com.jumpmind.symmetric.console.impl.cg$1.buttonClick(SupportPanel.java:47)
        at sun.reflect.GeneratedMethodAccessor113.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:498)
        at com.vaadin.event.ListenerMethod.receiveEvent(ListenerMethod.java:499)
        ... 55 more
TagsNo tags attached.

Relationships

related to 0003917 closedjaredfrees SymmetricDS In the snapshot, include sym_data records for batches that are in ERROR 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 62b5da97

2019-07-10 12:51:59

admin

Details Diff
0004038: Snapshot fails when batch in error
0004038
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File

Issue History

Date Modified Username Field Change
2019-07-10 10:38 elong New Issue
2019-07-10 10:38 elong Status new => assigned
2019-07-10 10:38 elong Assigned To => JJ_Starrett
2019-07-10 12:52 elong Assigned To JJ_Starrett => elong
2019-07-10 12:52 elong Status assigned => resolved
2019-07-10 12:52 elong Resolution open => fixed
2019-07-10 12:52 elong Fixed in Version => 3.10.4
2019-07-10 13:00 admin Changeset attached => SymmetricDS 3.10 62b5da97
2019-07-15 10:14 elong Relationship added related to 0003917
2019-08-23 12:47 admin Status resolved => closed